Skip to content

Get 'GeneralErrandGroup'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/errands/generalerrands/reporting/generalerrandgroup/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/errands/generalerrands/reporting/generalerrandgroup/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

titlestring, <= 255 charactersrequired
statusinteger, (int32), [ -2147483648 .. 2147483647 ]read-onlyrequired

Additional Validation Information:

Enum Descriptions:

  • 0 - Open

  • 1 - Closed

Enum:01
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
planned_done_timestring or null, (date-time)read-only
actual_done_timestring or null, (date-time)read-only
organization_user_reviewersArray of objects(OrganizationUser)
tagsanyread-only
customer_columnsanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "title": "string", "status": 0, "planned_done_time": "2019-08-24T14:15:22Z", "actual_done_time": "2019-08-24T14:15:22Z", "organization_user_reviewers": [ { … } ], "tags": null, "customer_columns": null }